#!/bin/bash
clear

# check for root privileges
echo
if [ "$EUID" -ne 0 ]
  then echo "PLEASE RUN THIS SCRIPT WITH ROOT PRIVILEGES"
  exit
fi

# update system
apt update && apt upgrade -y && apt autoremove -y && apt clean

# get PHP version
PHP=`apt search php | grep fpm | grep security | cut -c 4-6`

# install needed packages
apt install php-dev -y

# install php-ext-brotli
cd /etc/php
git clone --recursive --depth=1 https://github.com/kjdev/php-ext-brotli.git
cd php-ext-brotli
phpize
./configure
make install clean
echo "extension=brotli.so" > /etc/php/${PHP}/mods-available/brotli.ini
phpenmod brotli

# clean up packages
apt purge php-dev -y && apt autoremove -y && apt clean

# restart PHP
systemctl restart php${PHP}-fpm

# complete
echo
echo
echo "PHP-EXT-BROTLI SETUP COMPLETE"
